### Dereplicate and merge samples together
rule dereplicate_runs:
    input:
        '01_runs/{run}.fasta'
    output:
        '02_dereplicated/{run}.uniq.fasta'
    singularity:
        config["singularity"]["obitools"]
    log:
        '../99_log/05_assignment/02_dereplicated/{run}.log'
    shell:
        '''obiuniq -m sample {input} > {output} 2> {log}'''
